## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelBlLayer Struct Reference

This is the Behaviour Layer itself. More...

`#include <behaviourlayer/bl.h>`

List of all members.

## Public Member Functions

virtual iCelBehaviour * | CreateBehaviour (iCelEntity *entity, const char *name)=0
| Create a new behaviour layer entity.
virtual const char * | GetName () const =0
| The name of this behaviour layer.

## Detailed Description

This is the Behaviour Layer itself.

Definition at line 34 of file bl.h.

## Member Function Documentation

virtual iCelBehaviour* iCelBlLayer::CreateBehaviour | ( | iCelEntity * | entity,
|  | const char * | name
| ) | `[pure virtual]`

| Create a new behaviour layer entity. The given name is specific to the BL implementation. It can be the name of a script for example. This function will also call entity->SetBehaviour() with the new behaviour.

virtual const char* iCelBlLayer::GetName | ( |  | ) | const`[pure virtual]`

| The name of this behaviour layer.

The documentation for this struct was generated from the following file:

- behaviourlayer/bl.h